Is it possible to jailbreak my iphone 3GS with 3.1 on it?

Discussion in 'Jailbreaks and iOS Hacks' started by jayeskreezy, Oct 12, 2009.

  1. jayeskreezy macrumors 65816

    Joined:
    Mar 3, 2005
    #1
    My stats are Version 3.1 (7C144) with carrier AT&T 5.0. I don't know much about it, but I'd love to jailbreak it to use Google Voice's app. If it's possible what do I need to do? Thanks!
     
  2. Knowlege Bomb macrumors 601

    Knowlege Bomb

    Joined:
    Feb 14, 2008
    Location:
    Madison, WI
    #2
    Upgrade your phone to 3.1.2 through iTunes then get blackra1n.
     
  3. andrewwg94 macrumors member

    Joined:
    Aug 5, 2009
    #3
    blackra1n works with 3.1 as well, no need to upgrade first, unless you want to
     
  4. jayeskreezy thread starter macrumors 65816

    Joined:
    Mar 3, 2005
    #4
    I dont have a windows computer. Anybody know of any other ways to do this? I just got a new iphone the other day, but those were my stats on it. I just wanna make sure I can jailbreak it before I do.
     
  5. Knowlege Bomb macrumors 601

    Knowlege Bomb

    Joined:
    Feb 14, 2008
    Location:
    Madison, WI
    #5
    As of now your only option is to wait for DevTeam to release something for the Mac.

    The developer of blackra1n said he may never do a Mac version.
     
  6. MattWylde macrumors regular

    Joined:
    Sep 17, 2009
    #6
    Now you know how us PC users feel when the dev team releases Mac only Pwnage Tools. Macs are great and all, but no one should release a Mac only version. According to TUAW.com, only 12% of computer owners actually own a Mac. Iphone dev team...thanks for leaving out the majority. GeoHot, THANK YOU!

    http://www.tuaw.com/2009/10/05/report-12-of-us-households-own-a-mac/
     
  7. The General macrumors 601

    Joined:
    Jul 7, 2006
    #7
    2. use a friend's PC
    3. install windows on his Mac and use his Mac.
    4. use a friend's Mac that has windows on it
     
  8. Knowlege Bomb macrumors 601

    Knowlege Bomb

    Joined:
    Feb 14, 2008
    Location:
    Madison, WI
    #8
    You're so smart.
     
  9. jayeskreezy thread starter macrumors 65816

    Joined:
    Mar 3, 2005
    #9
    Oh ok thanks everyone. I think i'll wait because I would like to unlock my iphone at some point.
     
  10. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #10
    If your phone is on 3.1 firmware, then you have the 5.11.xx baseband so you cannot unlock.
     
  11. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #11
    wow

    Why the hate it's quite simple Dev Team are Mac guys part of the 12% Geo Hot who used to be part of the Dev team prefers PC it's not a personal thing. just there personal preferences.
     
  12. jayeskreezy thread starter macrumors 65816

    Joined:
    Mar 3, 2005
    #12
    my baseband says AT&T 5.0 ....is that the same thing?
     
  13. optophobia macrumors 6502a

    optophobia

    Joined:
    Oct 26, 2007
    Location:
    Hudson MA
    #13
    no that is your carrier file.

    I believe you should look at modem firmware... mine is 04.26.08
     
  14. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #14
    The DevTeam doesn't currently have a Windoze coder. If they don't have someone willing to do this for free, then they can't do a Windoze version. Perhaps you could do it for them or find them one ?? :rolleyes:

    Especially since all this is given to you free. Where did your sense of entitlement come from.
     

Share This Page